# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolator< T > Class Template Reference

The LinearInterpolator class is a template class that implements linear interpolation. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolator< T >:

List of all members.

## Public Member Functions
| LinearInterpolator ()
| LinearInterpolator (const std::vector< T > &path)
T | computePoint (float t) const
| Samples the path at the given point. The `t` parameter must be in the range 0.0 ... 1.0 included.
void | setPath (const std::vector< T > &path)
| The control points defining the Catmull-Rom spline.
const std::vector< T > & | path () const
| The control points defining the Catmull-Rom spline.
std::vector< T > & | path ()
| The control points defining the Catmull-Rom spline.
## Protected Attributes
std::vector< T > | mPath
std::vector< T > | mLinearSpline

## Detailed Description

### template<typename T>
class vl::LinearInterpolator< T >

The LinearInterpolator class is a template class that implements linear interpolation.

See also:
  CatmullRomInterpolator, Interpolator and the Interpolators Tutorial page.

## Constructor & Destructor Documentation

template<typename T >

vl::LinearInterpolator< T >::LinearInterpolator | ( |  | ) | `[inline]`

template<typename T >

vl::LinearInterpolator< T >::LinearInterpolator | ( | const std::vector< T > & | path | ) | `[inline]`

## Member Function Documentation

template<typename T >

T vl::LinearInterpolator< T >::computePoint | ( | float | t | ) | const`[inline]`

Samples the path at the given point. The `t` parameter must be in the range 0.0 ... 1.0 included.

template<typename T >

void vl::LinearInterpolator< T >::setPath | ( | const std::vector< T > & | path | ) | `[inline]`

The control points defining the Catmull-Rom spline.

Because of the Catmull-Rom formula the interpolated path must start and end with an extra control point (one on each side) and cannot have less than 4 control points.

template<typename T >

const std::vector<T>& vl::LinearInterpolator< T >::path | ( |  | ) | const`[inline]`

The control points defining the Catmull-Rom spline.

template<typename T >

std::vector<T>& vl::LinearInterpolator< T >::path | ( |  | ) | `[inline]`

The control points defining the Catmull-Rom spline.

## Member Data Documentation

template<typename T >

std::vector<T> vl::LinearInterpolator< T >::mPath`[protected]`

template<typename T >

std::vector<T> vl::LinearInterpolator< T >::mLinearSpline`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.